# Makefile to clean up Visual C++ files from the command line

LIB_NAME = ShapeMatcher
APP_NAME = sm
DAG_MATCHER_BASE = ..

include $(DAG_MATCHER_BASE)/common.mk

OBJS1 = $(subst /,\,$(wildcard DAGMatcherLib/Debug/*.obj))
OBJS2 = $(subst /,\,$(wildcard ShapeMatcher/Debug/*.obj))
LIBS = $(subst /,\,$(wildcard DAGMatcherLib/*.lib))
EXTRAS1 = $(subst /,\,$(wildcard DAGMatcherLib/Debug/*.pdb) $(wildcard DAGMatcherLib/Debug/*.idb))
EXTRAS2 = $(subst /,\,$(wildcard ShapeMatcher/Debug/*.pdb) $(wildcard ShapeMatcher/Debug/*.idb))

clean:
	$(RM) $(OBJS1)
	$(RM) $(OBJS2)
	$(RM) $(LIBS) $(EXTRAS1) $(EXTRAS2)
